Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support for InfluxDB 0.9.x #202

Closed
mnuessler opened this issue May 4, 2015 · 10 comments

Comments

@mnuessler
Copy link

commented May 4, 2015

Just a question, is InfluxDB 0.9 already supported? The HTTP API has changed significantly in 0.9.

@falzm

This comment has been minimized.

Copy link
Member

commented May 6, 2015

Hi Matthias,

We haven't implemented compatibility with InfluxDB 0.9.x yet, we'll do it once this branch is released as stable.

@mnuessler

This comment has been minimized.

Copy link
Author

commented May 7, 2015

Hi Marc, thanks for the info. Looking forward to have support for InfluxDB 0.9.x in facette. Btw, InfluxDB 0.9.0 will probably be released soon. Maybe it is worth thinking about how to support 0.8 and 0.9 in parallel? Or are you planning to drop support for 0.8 once 0.9 has been released?

@mnuessler mnuessler changed the title InfluxDB 0.9 Support for InfluxDB 0.9.x May 7, 2015
@falzm

This comment has been minimized.

Copy link
Member

commented May 7, 2015

Matthias

At the moment we haven't decided whether we'll support both 0.8.x and 0.9.x – my first guess would be to do so, since it's been a long time between 0.8.x and 0.9.x branches and many people would have deployed InfluxDB in the mean time, so there might be a significant user base for 0.8.x.

Cheers

@mnuessler

This comment has been minimized.

Copy link
Author

commented May 7, 2015

FYI: Grafana already supports InfluxDB 0.9 as a datasource (as well as InfluxDB 0.8).

@mnuessler

This comment has been minimized.

Copy link
Author

commented Jun 11, 2015

FYI: InfluxDB 0.9.0 has just been released today.

@vbatoufflet

This comment has been minimized.

Copy link
Member

commented Jun 17, 2015

Hi Matthias,

We plan to implement the new support soon. But as the API and the client library changed, we will need to figure a proper way to offer access to both 0.8 and 0.9.

We will let you know as soon as it will be available.

@vbatoufflet vbatoufflet added this to the 0.4.0 milestone Jun 17, 2015
@vbatoufflet vbatoufflet self-assigned this Jul 10, 2015
@vbatoufflet

This comment has been minimized.

Copy link
Member

commented Jul 17, 2015

A new connector for InfluxDB 0.9 is on its way, see influxdb-0.9.

The old connector has been renamed to influxdb_legacy.

@vbatoufflet

This comment has been minimized.

Copy link
Member

commented Jul 28, 2015

Were are currently waiting for a upstream issue to be fixed:

influxdata/influxdb#3326

We will update this issue when we will be able to finalize its support.

@mparienti

This comment has been minimized.

Copy link

commented Sep 9, 2015

This issue has been closed in the 0.9.3 release of InfluxDB :-)

@falzm

This comment has been minimized.

Copy link
Member

commented Mar 15, 2017

Support for InfluxDB (1.x) has been implemented in branch 0.4-alpha.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.